OpenTTD

Data Structures | Enumerations | Functions | Variables
livery.h File Reference

Functions/types related to livery colours. More...

`#include "company_type.h"`

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< LiveryScheme >
| Helper information for extract tool. More...
struct | Livery
| Information about a particular livery. More...

## Enumerations
enum | LiveryScheme { LS_BEGIN = 0, LS_DEFAULT = 0, LS_STEAM, LS_DIESEL, LS_ELECTRIC, LS_MONORAIL, LS_MAGLEV, LS_DMU, LS_EMU, LS_PASSENGER_WAGON_STEAM, LS_PASSENGER_WAGON_DIESEL, LS_PASSENGER_WAGON_ELECTRIC, LS_PASSENGER_WAGON_MONORAIL, LS_PASSENGER_WAGON_MAGLEV, LS_FREIGHT_WAGON, LS_BUS, LS_TRUCK, LS_PASSENGER_SHIP, LS_FREIGHT_SHIP, LS_HELICOPTER, LS_SMALL_PLANE, LS_LARGE_PLANE, LS_PASSENGER_TRAM, LS_FREIGHT_TRAM, LS_END }
| List of different livery schemes. More...
enum | LiveryClass { LC_OTHER, LC_RAIL, LC_ROAD, LC_SHIP, LC_AIRCRAFT, LC_END }
| List of different livery classes, used only by the livery GUI. More...

## Functions
void | ResetCompanyLivery (Company *c)
| Reset the livery schemes to the company's primary colour. More...

## Variables
static const byte | LIT_NONE = 0
| Don't show the liveries at all.
static const byte | LIT_COMPANY = 1
| Show the liveries of your own company.
static const byte | LIT_ALL = 2
| Show the liveries of all companies.

## Detailed Description

Functions/types related to livery colours.

Definition in file livery.h.

## Enumeration Type Documentation

## ◆ LiveryClass

enum LiveryClass

List of different livery classes, used only by the livery GUI.

Definition at line 66 of file livery.h.

## ◆ LiveryScheme

enum LiveryScheme

List of different livery schemes.

Definition at line 22 of file livery.h.

## Function Documentation

## ◆ ResetCompanyLivery()

void ResetCompanyLivery | ( | Company * | c | ) |

Reset the livery schemes to the company's primary colour.

This is used on loading games without livery information and on new company start up.

Parameters

  c | Company to reset.

Definition at line 517 of file company_cmd.cpp.

Referenced by DoStartupNewCompany().